Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IBlockingInteractionResponseContext

All Superinterfaces
  IBaseResponseContext, IBlockingInteractionBaseResponseContext, IGetMarkupBaseResponseContext, IInteractionResponseContext, com.bea.wsrp.bind.IPortletContextHolder, ISessionContext

    public interface IBlockingInteractionResponseContext

extends IBlockingInteractionBaseResponseContext

A reponse context that represents output data of the "performBlockingInteraction" operation. This also provides methods for custom data transfer which is applicable only in the WLP Consumer/Producer combination.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`Object` | `getInteractionResponseState()` Returns a custom data object that is in the response of the "performBlockingInteraction" operation.
`void` | `setInteractionResponseState(InteractionResponseState interactionResponseState)` Sets the supplied `interactionResponseState` object as a custom data that is in the response of the "performBlockingInteraction" operation.
`void` | `setInteractionResponseState(XmlPayload xmlPayload)` Sets the supplied `xmlPayload` object as a custom data that is in the response of the "performBlockingInteraction" operation.

Methods inherited from interface com.bea.wsrp.model.markup.IBlockingInteractionBaseResponseContext
`getRedirectURL, setRedirectURL`

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupBaseResponseContext
`getExpires, getLocale, getMarkupCharacterSet, getMarkupData, getMimeType, getPreferredTitle, getUserScope, getValidateTag, isRequiresUrlRewritingOn, isUseCachedMarkupOn, setMarkupCharacterSet, setMarkupData, setMimeType, setPreferredTitle, setRequiresUrlRewritingOn, setUseCachedMarkupOn`

Methods inherited from interface com.bea.wsrp.model.markup.IBaseResponseContext
`getMimeHeaders, getNamespaceUri, getResponseCookies, render`

Methods inherited from interface com.bea.wsrp.model.markup.ISessionContext
`getSessionExpires, getSessionID, setSessionExpires, setSessionID`

Methods inherited from interface com.bea.wsrp.model.markup.IInteractionResponseContext
`getEvents, getNavigationalState, getNewMode, getNewWindowState, getPublicNavigationalState, setEvents, setNavigationalState, setNewMode, setNewWindowState, setPublicNavigationalState`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Method Detail

### getInteractionResponseState

    Object getInteractionResponseState()

  Returns a custom data object that is in the response of the "performBlockingInteraction" operation. The returned object type can be `XmlPayload` or `MarkupResponseState`.

  Returns
    a custom data object received from a producer.

### setInteractionResponseState

    void setInteractionResponseState(XmlPayload xmlPayload)

  Sets the supplied `xmlPayload` object as a custom data that is in the response of the "performBlockingInteraction" operation.

  Parameters
    `xmlPayload` - a new custom data object.
  See Also
    `XmlPayload`

### setInteractionResponseState

    void setInteractionResponseState(InteractionResponseState interactionResponseState)

  Sets the supplied `interactionResponseState` object as a custom data that is in the response of the "performBlockingInteraction" operation.

  Parameters
    `interactionResponseState` - a new custom data object.
  See Also
    `SimpleStateHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved